package cn.com.poc.knowledge.dto;


import cn.com.poc.common.domain.database.TableInfo;
import cn.com.poc.common.utils.DatabaseUtil;

import java.util.List;

public class BizKnowledgeDatabaseDto {

    private static final long serialVersionUID = 1L;
    /**
     * id
     * 主键
     */
    private java.lang.Long id;

    public java.lang.Long getId() {
        return this.id;
    }

    public void setId(java.lang.Long id) {
        this.id = id;
    }

    /**
     * member_id
     * 用户ID
     */
    private java.lang.Integer memberId;

    public java.lang.Integer getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Integer memberId) {
        this.memberId = memberId;
    }

    /**
     * title
     * 数据库标题名
     */
    private java.lang.String title;

    public java.lang.String getTitle() {
        return this.title;
    }

    public void setTitle(java.lang.String title) {
        this.title = title;
    }

    /**
     * desc
     * 描述
     */
    private java.lang.String desc;

    public java.lang.String getDesc() {
        return this.desc;
    }

    public void setDesc(java.lang.String desc) {
        this.desc = desc;
    }

    /**
     * db_type
     * 数据库类型  -MYSQL
     */
    private java.lang.String dbType;

    public java.lang.String getDbType() {
        return this.dbType;
    }

    public void setDbType(java.lang.String dbType) {
        this.dbType = dbType;
    }

    /**
     * db_host
     * 数据库HOST
     */
    private java.lang.String dbHost;

    public java.lang.String getDbHost() {
        return this.dbHost;
    }

    public void setDbHost(java.lang.String dbHost) {
        this.dbHost = dbHost;
    }

    /**
     * db_port
     * 数据库端口
     */
    private java.lang.Integer dbPort;

    public java.lang.Integer getDbPort() {
        return this.dbPort;
    }

    public void setDbPort(java.lang.Integer dbPort) {
        this.dbPort = dbPort;
    }

    /**
     * db_name
     * 数据库名
     */
    private java.lang.String dbName;

    public java.lang.String getDbName() {
        return this.dbName;
    }

    public void setDbName(java.lang.String dbName) {
        this.dbName = dbName;
    }

    /**
     * db_username
     * 用户名
     */
    private java.lang.String dbUsername;

    public java.lang.String getDbUsername() {
        return this.dbUsername;
    }

    public void setDbUsername(java.lang.String dbUsername) {
        this.dbUsername = dbUsername;
    }

    /**
     * db_password
     * 密码
     */
    private java.lang.String dbPassword;

    public java.lang.String getDbPassword() {
        return this.dbPassword;
    }

    public void setDbPassword(java.lang.String dbPassword) {
        this.dbPassword = dbPassword;
    }

    /**
     * MODIFIED_TIME
     * MODIFIED_TIME
     */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }


    /**
     * tableInfos
     * 数据库表信息
     */
    private List<TableInfo> tableInfos;

    public List<TableInfo> getTableInfos() {
        return tableInfos;
    }

    public void setTableInfos(List<TableInfo> tableInfos) {
        this.tableInfos = tableInfos;
    }
}